<ion-content>
	<div class="page-wrapper">
		<div class="content">
			<div class="row">
				<div class="col-sm-4 col-3">
					<h4 class="page-title">Employee</h4>
				</div>
				<div class="col-sm-8 col-9 text-right m-b-20">
					<a
						[routerLink]="['/settings/users/create']"
						class="btn btn-primary float-right btn-rounded"
						><i class="fa fa-plus"></i> Add Employee</a
					>
				</div>
			</div>
			<div class="row filter-row">
				<div class="col-sm-6 col-md-3">
					<a (click)="show = 1" class="btn btn-success btn-block">
						Administrators
					</a>
				</div>
				<div class="col-sm-6 col-md-3">
					<a (click)="show = 10" class="btn btn-primary btn-block">
						Employes
					</a>
				</div>
				<div class="col-sm-6 col-md-3">
					<a (click)="show = 100" class="btn btn-danger btn-block">
						Acompañantes
					</a>
				</div>
				<div class="col-sm-6 col-md-3">
					<a (click)="show = 1000" class="btn btn-warning btn-block">
						Usuarios
					</a>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<div class="table-responsive">
						<table class="table table-striped custom-table">
							<thead>
								<tr>
									<th>ID</th>
									<th style="min-width: 200px;">Name</th>

									<th>Email</th>
									<th>Mobile</th>
									<th style="min-width: 110px;">Join Date</th>
									<th>Role</th>
									<th class="text-right">Action</th>
								</tr>
							</thead>
							<tbody *ngIf="users">
								<ng-container
									*ngFor="let item of users; let i = index"
								>
									<tr *ngIf="filter(item.Role)">
										<td>
											{{ i}}
										</td>
										<td>
											<img
												width="28"
												height="28"
												[src]="item.Avatar ? host + item.Avatar : './assets/img/user.jpg'"
												class="rounded-circle"
												alt=""
											/>
											<h2>
												{{ item.Nombre}}
												{{item.Apellido}}
											</h2>
										</td>

										<td>{{ item.Auth.email }}</td>
										<td>{{item.informacion.Phone}}</td>
										<td>
											{{ item.createdAt | date:'dd MMM
											yyyy'}}
										</td>
										<td>
											<span
												class="custom-badge"
												[class]="roleClass(item.Role)"
												>{{ role(item.Role)}}</span
											>
										</td>
										<td class="text-right">
											<div
												class="dropdown dropdown-action"
											>
												<a
													href="#"
													class="action-icon dropdown-toggle"
													data-toggle="dropdown"
													aria-expanded="false"
													><i
														class="fa fa-ellipsis-v"
													></i
												></a>
												<div
													class="dropdown-menu dropdown-menu-right"
												>
													<a
														class="dropdown-item"
														href="edit-employee.html"
														><i
															class="fa fa-pencil m-r-5"
														></i>
														Edit</a
													>
													<a
														class="dropdown-item"
														href="#"
														data-toggle="modal"
														data-target="#delete_employee"
														><i
															class="fa fa-trash-o m-r-5"
														></i>
														Delete</a
													>
												</div>
											</div>
										</td>
									</tr>
								</ng-container>
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
</ion-content>
